// vim: sw=2 ts=2 expandtab

#ifndef GRAPHICS_H
#define GRAPHICS_H

#include <SDL/SDL.h>

SDL_Surface* init_graphics(int w, int h);
void set_pixel(SDL_Surface *surface, int x, int y, Uint32 pixel);
void draw_line(SDL_Surface *surf, uint32_t cl, int x0, int y0, int x1, int y1);
void draw_text(SDL_Surface *surf, char *str, SDL_Color textCol, SDL_Color bgCol, int x, int y);

#endif // GRAPHICS_H
